#include "vision.h"
#include<bits/stdc++.h>
using namespace std;
#define fi first
#define se second
#define pb push_back
#define ll long long
vector<int>getVisionPattern1d(){
    return{1,3,1,1,1,2};
}

int getMove1d(vector<int>v){
    int c=v.size()/2;
    if(c==1){
        if(v[c-1]!=1)return c-1;
        if(v[c+1]!=1)return c+1;
        return c+1;
    }
    if(c==2){
        if(v[c+2]==3)return c+2;
        return c-2;
    }
    if(c==3){
        if(v[c+3]==1)return c+3;
        return c-3;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
